﻿using Godot;

public class Client : Peer {

    private PacketPeerUDP PacketPeer;
    
    private Connection ServerConn;

    private byte[] TempBuffer = {1};
    private float Timer = 0;

    public Client(PacketPeerUDP packetPeer) : base(packetPeer) {
        PacketPeer = packetPeer;
    }

    public override void Initialize(string address, int port) {
        GD.print("Start client.");
        GD.print("Starting to send stuff to " + address + ":" + port);
        ServerConn = new Connection(address, port);
        StartListening(port, "*");
    }

    public override void ReceivePacket(byte[] buffer, string address, int port) {
        GD.print("Client received stuff from " + address + " : " + port + " :");
    }

    public override void Update(float delta) {
        Timer += delta;
        if (Timer < 1) { return; }
        Timer = 0;
        GD.print("Update client.");
        SendBuffer(TempBuffer, ServerConn);
    }
}